#pragma once
#include "DialInfoWnd.h"
#include "afxwin.h"

class CDialPadDlg : public CDialog, 
    private CAMSWnd, 
    private CAMSWnd::PlacementHook
{
	DECLARE_DYNAMIC(CDialPadDlg)

public:
	CDialPadDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CDialPadDlg();

	enum { IDD = IDD_DIALPAD_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedNumPad(UINT id);
	afx_msg void OnBnClickedMakecallButton();
	afx_msg void OnBnClickedCallmemoButton();
	afx_msg void OnBnClickedClearconnectionButton();
	afx_msg void OnBnClickedCalltransferButton();
	afx_msg void OnDestroy();

	virtual BOOL OnInitDialog();

	void InitControls();
	void SetCallInfo(NE_MEMBER_DATA userData, CString strTelNo);

private:
	void InitSkin();
	void ResizeCtrl();
	CDialInfoWnd m_wndDialInfo;

	CButton m_btn1;
	CButton m_btn2;
	CButton m_btn3;
	CButton m_btn4;
	CButton m_btn5;
	CButton m_btn6;
	CButton m_btn7;
	CButton m_btn8;
	CButton m_btn9;
	CButton m_btn0;
	CButton m_btnAsterisk;
	CButton m_btnSharp;
	CNMImgButton m_btnMakeCall;
	CNMImgButton m_btnMemo;
	CNMImgButton m_btnEndCall;
	CNMImgButton m_btnTransferCall;
	CNMImgButton m_btnConfer;
	afx_msg void OnPaint();
	CPen  m_penBorder;
	bool m_bCalling;

	bool ProcHangUp();

public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	bool IsCloseRequest( MSG* pMsg );
	void OnCallAlerting();
	void OnCallConnected();
	void OnCallDisconnected();
	bool GetCallingStatus() { return m_bCalling; }
	void SetTransferUser(std::vector<NE_MEMBER_DATA>& vTransferUser);

	
	afx_msg void OnBnClickedConferenceButton();
};
